> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Request token using Ledger transaction

> Alternative token request for Ledger-signed transactions. Signs a message with format `{signText}{time}` within a transaction.



## OpenAPI

````yaml /api-reference/openapi/launch-auth-v1.yaml post /request-token-ledger
openapi: 3.0.3
info:
  title: Raydium Launch Auth API
  description: >-
    Manages wallet authentication for LaunchLab and Forum APIs. Issues JWT
    tokens after verifying ed25519 wallet signatures. Tokens are required to
    post comments and manage content on the Forum API.
  version: 1.0.0
servers:
  - url: https://launch-auth-v1.raydium.io
    description: Mainnet
  - url: https://launch-auth-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Token Management
    description: Request and validate authentication tokens
  - name: Utilities
    description: Health check endpoints
paths:
  /request-token-ledger:
    post:
      tags:
        - Token Management
      summary: Request token using Ledger transaction
      description: >-
        Alternative token request for Ledger-signed transactions. Signs a
        message with format `{signText}{time}` within a transaction.
      operationId: postRequestTokenLedger
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - time
                - transaction
                - wallet
              properties:
                time:
                  type: integer
                  description: Unix timestamp in seconds
                  example: 1704067200
                transaction:
                  type: string
                  description: >-
                    Solana transaction containing signed message (base64
                    encoded)
                wallet:
                  type: string
                  description: Solana wallet public key
                  example: 4k3Dyjzvzp8eMZWUXbBCjEvwSvsrFjJqkDsyU5F5oV4
      responses:
        '200':
          description: Token issued successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      token:
                        type: string

````